CascadeType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.metamodel.binding
Enum CascadeType

    java.lang.Object
      java.lang.Enum<CascadeType>
          org.hibernate.metamodel.binding.CascadeType

All Implemented Interfaces:
  Serializable, Comparable<CascadeType>

    public enum CascadeType

extends Enum<CascadeType>

Enum Constant Summary
`ALL` Cascades save, delete, update, evict, lock, replicate, merge, persist
`ALL_DELETE_ORPHAN` Cascades save, delete, update, evict, lock, replicate, merge, persist + delete orphans
`DELETE` Cascade delete
`DELETE_ORPHAN` Cascade delete + delete orphans
`EVICT` Cascades evict
`LOCK` Cascades lock
`MERGE` Cascades merge
`NONE` No cascading
`PERSIST` Cascades persist
`REFRESH` Cascades refresh
`REPLICATE` Cascades replicate
`UPDATE` Cascades save and update

Method Summary
`static CascadeType` | `getCascadeType(CascadeType jpaCascade)`
`static CascadeType` | `getCascadeType(String hbmOptionName)`
`CascadeStyle` | `toCascadeStyle()`
`static CascadeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CascadeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final CascadeType ALL

  Cascades save, delete, update, evict, lock, replicate, merge, persist

### ALL_DELETE_ORPHAN

    public static final CascadeType ALL_DELETE_ORPHAN

  Cascades save, delete, update, evict, lock, replicate, merge, persist + delete orphans

### UPDATE

    public static final CascadeType UPDATE

  Cascades save and update

### PERSIST

    public static final CascadeType PERSIST

  Cascades persist

### MERGE

    public static final CascadeType MERGE

  Cascades merge

### LOCK

    public static final CascadeType LOCK

  Cascades lock

### REFRESH

    public static final CascadeType REFRESH

  Cascades refresh

### REPLICATE

    public static final CascadeType REPLICATE

  Cascades replicate

### EVICT

    public static final CascadeType EVICT

  Cascades evict

### DELETE

    public static final CascadeType DELETE

  Cascade delete

### DELETE_ORPHAN

    public static final CascadeType DELETE_ORPHAN

  Cascade delete + delete orphans

### NONE

    public static final CascadeType NONE

  No cascading

Method Detail

### values

    public static CascadeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CascadeType c : CascadeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CascadeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getCascadeType

    public static CascadeType getCascadeType(String hbmOptionName)

  Parameters:
    `hbmOptionName` - the cascading option as specified in the hbm mapping file
  Returns:
    Returns the `CascadeType` for a given hbm cascading option

### getCascadeType

    public static CascadeType getCascadeType(CascadeType jpaCascade)

  Parameters:
    `jpaCascade` - the jpa cascade type
  Returns:
    Returns the Hibernate `CascadeType` for a given jpa cascade type

### toCascadeStyle

    public CascadeStyle toCascadeStyle()

  Returns:
    Returns the `CascadeStyle` that corresponds to this `CascadeType`
  Throws:
    `MappingException` - if there is not corresponding `CascadeStyle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.